use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;


// Table Create 

if (!Schema::hasColumn('beauty_listings', 'contact')) {
    Schema::table('beauty_listings', function (Blueprint $table) {
        $table->longText('contact')->nullable();
    });
}
if (!Schema::hasColumn('car_listings', 'contact')) {
    Schema::table('car_listings', function (Blueprint $table) {
        $table->longText('contact')->nullable();
    });
}
if (!Schema::hasColumn('custom_listings', 'contact')) {
    Schema::table('custom_listings', function (Blueprint $table) {
        $table->longText('contact')->nullable();
    });
}
if (!Schema::hasColumn('hotel_listings', 'contact')) {
    Schema::table('hotel_listings', function (Blueprint $table) {
        $table->longText('contact')->nullable();
    });
}
if (!Schema::hasColumn('real_estate_listings', 'contact')) {
    Schema::table('real_estate_listings', function (Blueprint $table) {
        $table->longText('contact')->nullable();
    });
}
if (!Schema::hasColumn('restaurant_listings', 'contact')) {
    Schema::table('restaurant_listings', function (Blueprint $table) {
        $table->longText('contact')->nullable();
    });
}
if (!Schema::hasColumn('users', 'language')) {
    Schema::table('users', function (Blueprint $table) {
        $table->string('language', '255')->nullable();
    });
}
if (!Schema::hasColumn('pricings', 'specific_users')) {
    Schema::table('pricings', function (Blueprint $table) {
        $table->longText('specific_users')->nullable();
    });
}
